package nl.naturalis.oaipmh.api.util;

/**
 * Reads and exposes the properties file generated by the Maven git-commit-id plugin.
 *
 * @author Ayco Holleman
 */
public record BuildInfo(String welcomeText) {

  /**
   * Returns some text to be place in the header of the welcome page for the repository
   * implementation.
   *
   * @return
   */
  @Override
  public String welcomeText() {
    return welcomeText;
  }


}
